/*---------------------------------------------
 star
  ---------------------------------------------*/
html,body{
	height: 100%;/*高さを100%にして描画エリアをとる*/
}

#particles-js{ 
	position:fixed;/*描画固定*/
	z-index:-1;/*描画を一番下に*/
	width: 100%;
	height: 100%;
	background-color:#000;/*背景色*/
}

#wrapper{
	position: relative;/*描画を#particles-jsよりも上にするためposition:relative;を指定*/
	z-index: 1;/*z-indexの数字を大きくすることで描画を#particles-jsよりも上に*/
	width:100%;
	height: 100%;
}





/* 流れ星 */


.s-window{position: absolute;left: 0 ;top: 0;width: 100%;height: 100%;z-index: -1}

.stars {
  position: absolute;
  width: 100%;
  height: 100%;
-webkit-animation: slide 30000ms linear infinite;
          animation: slide 30000ms linear infinite;
}
.stars:nth-child(2) {
  left: 100%;
}

.shooting {
  position: absolute;
  width: 50px;
  height: 1px;
  background: linear-gradient(90deg, white, rgba(255, 255, 255, 0));
  background: linear-gradient(90deg, #ffffff 0%, rgba(255, 255, 255, 0) 100%);
  opacity: 0;
  -webkit-animation: shooting 5000ms linear infinite;
          animation: shooting 5000ms linear infinite;
}

.shooting:nth-child(1) {
  top: 15%;
  left: 84%;
  -webkit-animation-delay: 7768ms;
          animation-delay: 7768ms;
}
.shooting:nth-child(2) {
  top: 82%;
  left: 70%;
  -webkit-animation-delay: 4884ms;
          animation-delay: 4884ms;
}
.shooting:nth-child(3) {
  top: 35%;
  left: 28%;
  -webkit-animation-delay: 8441ms;
          animation-delay: 8441ms;
}
.shooting:nth-child(4) {
  top: 64%;
  left: 51%;
  -webkit-animation-delay: 6146ms;
          animation-delay: 6146ms;
}
.shooting:nth-child(5) {
  top: 41%;
  left: 26%;
  -webkit-animation-delay: 5378ms;
          animation-delay: 5378ms;
}

@-webkit-keyframes shooting {
  0% {
    opacity: 0;
    transform: rotateZ(-30deg) translateX(0) scaleX(0);
  }
  25% {
    opacity: 1;
    transform: rotateZ(-30deg) translateX(-200%) scaleX(1);
  }
  50% {
    opacity: 0;
    transform: rotateZ(-30deg) translateX(-400%) scaleX(2);
  }
  100% {
    opacity: 0;
    transform: rotateZ(-30deg) translateX(-400%) scaleX(2);
  }
}

@keyframes shooting {
  0% {
    opacity: 0;
    transform: rotateZ(-30deg) translateX(0) scaleX(0);
  }
  25% {
    opacity: 1;
    transform: rotateZ(-30deg) transalteX(-200%) scaleX(1);
  }
  50% {
    opacity: 0;
    transform: rotateZ(-30deg) translateX(-400%) scaleX(2);
  }
  100% {
    opacity: 0;
    transform: rotateZ(-30deg) translateX(-400%) scaleX(2);
  }
}
@-webkit-keyframes slide {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}
@keyframes slide {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}